CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OAIItemFactory Interface Reference

## Public Member Functions
| GetItem ($ItemId)
| Get an Item. More...
| GetItems ($StartingDate=NULL, $EndingDate=NULL)
| Get a list of items, optionally restricted by creation date. More...
| GetItemsInSet ($SetSpec, $StartingDate=NULL, $EndingDate=NULL)
| Get array of Items in a specified OAI set (if supported). More...
| GetListOfSets ()
| Get the list of supported OAI sets. More...
| SearchForItems ($SearchParams, $StartingDate=NULL, $EndingDate=NULL)
| Retrieve IDs of items that match search paramters when OAI-SQ is supported. More...

## Detailed Description

Definition at line 10 of file OAIItemFactory.php.

## Member Function Documentation

OAIItemFactory::GetItem | ( |  | $ItemId | ) |

Get an Item.

Parameters

  int | $ItemId | ItemId to fetch.

Returns
  mixed Requested Items.

OAIItemFactory::GetItems | ( |  | $StartingDate = `NULL`,
|  |  | $EndingDate = `NULL`
| ) |  |

Get a list of items, optionally restricted by creation date.

Parameters

  string | $StartingDate | Starting date for list (OPTIONAL).
  string | $EndingDate | Ending date for list.

Returns
  array Requested Items.

OAIItemFactory::GetItemsInSet | ( |  | $SetSpec,
|  |  | $StartingDate = `NULL`,
|  |  | $EndingDate = `NULL`
| ) |  |

Get array of Items in a specified OAI set (if supported).

Parameters

  string | $SetSpec | OAI set specification.
  string | $StartingDate | Starting date (OPTIONAL).
  string | $EndingDate | Ending date (OPTIONAL).

Returns
  array Requested items.

OAIItemFactory::GetListOfSets | ( |  | ) |

Get the list of supported OAI sets.

Returns
  array of supported sets.

OAIItemFactory::SearchForItems | ( |  | $SearchParams,
|  |  | $StartingDate = `NULL`,
|  |  | $EndingDate = `NULL`
| ) |  |

Retrieve IDs of items that match search paramters when OAI-SQ is supported.

Parameters

  mixed | $SearchParams | Search parameters to use.
  mixed | null | $StartingDate | Starting date for search.
  mixed | null | $EndingDate | Ending date for search.

The documentation for this interface was generated from the following file:

- lib/ScoutLib/OAIItemFactory.php